Supercard SD rumble problem

Discussion in 'NDS - Flashcarts and Accessories' started by dazoma, Apr 1, 2008.

  1. dazoma
    OP

    dazoma Newbie

    Newcomer
    9
    0
    Aug 15, 2007
    Belgium
    I've recently bought such a card and it doesn't work. I've updated to the latest fw. It can boot into ds mode, it can show the roms, but if i run one, i get only a blank screen )-:
    I'm using a dslinker as superkey. I've tried the build-in superkey option AND the SUPERKEY.NDS file from the supercard ds one. Both same result. Then i tried to patch the ds with flashme (ds firmware v5), but the percentage doesn't go further than 0%. What do i need to do to make it work??

    Please help.
    DaZoMa
     
  2. sidneyyoung

    sidneyyoung GBAtemp Advanced Fan

    Member
    895
    0
    Nov 29, 2006
    Bangladesh
    Have you actually patched the roms with 2.65 patching software from the supercard site ?
     
  3. Man18

    Man18 GBAtemp Maniac

    Member
    1,006
    11
    Nov 6, 2007
    United States
    Florida
    He isnt using the supercard prog and you have to short something under the batt cover to make it go past 0%.
    http://www.dspassme.com/FlashMe.shtml

     
  4. arctic_flame

    arctic_flame GBAtemp ATMEGA8 Fan

    Member
    2,840
    0
    Nov 4, 2006
    England land
  5. dazoma
    OP

    dazoma Newbie

    Newcomer
    9
    0
    Aug 15, 2007
    Belgium
    ofcourse i'm patching. I'm not stupid. I've read the manual...
     
  6. krazykirk

    krazykirk GBAtemp Fan

    Member
    399
    0
    Jul 17, 2007
    Australia
    If you want flashme to install properly and to get past 0% (and preferably to 100%), you have to short the SL1 point as explained in R4m an's post.

    But don't forget that although reasonably easy and save, there are risks of bricking your ds.
     
  7. dazoma
    OP

    dazoma Newbie

    Newcomer
    9
    0
    Aug 15, 2007
    Belgium
    I've flashed my ds and it works fine now. Only DLDI doesn't work well. I've tried the 2 Supercard SD files; and the first doesnt work, the second gives errors when reading/writing. Please help... I want to run dslinux...
     
  8. krazykirk

    krazykirk GBAtemp Fan

    Member
    399
    0
    Jul 17, 2007
    Australia
    Which files are you trying exactly?

    I'm not an expert on Supercards as I don't personally own one, but I think you might need to patch the roms to get them to work. You can download the software from http://eng.supercard.cn/download.htm
     
  9. dazoma
    OP

    dazoma Newbie

    Newcomer
    9
    0
    Aug 15, 2007
    Belgium
    I did what you said, all other homebrew are working with the supplied dldi file, but dslinux won't do it. It gets stuck at the dldi detection section of the booting process.

    Thx in advance,
    DaZoMa

    PS: The patching app is not ment for homebrew [​IMG]
     
  10. DanTheManMS

    DanTheManMS aka Ricochet Otter

    Member
    4,330
    107
    Jun 2, 2007
    United States
    Georgia
    DSLinux uses a slightly different method of loading filesystem access drivers, so even though it's DLDI-capable, it might not work with the same DLDI file other homebrew works fine with.

    Here's all the Supercard DLDI files you can try using (make sure if you manually patch with these that you remove the dldi.scp file from your card or it will overwrite the DLDI patch upon execution):
    1. SCSD.dldi (from DLDI wiki)
    2. SCSD_moon.dldi (more compatible, from DLDI wiki)
    3. SCRB.dldi - specifically for Rumble devices, from DLDI wiki
    4. hacked SCSD_moon.dldi - worth a shot I guess... from http://vespenegas.com/dldi.html

    If none of those work, then I don't know what to tell you, sorry. And yes, the Supercard patcher should never be used for DS homebrew, only commercial DS games.

    EDIT: link to the DLDI wiki - http://dldi.drunkencoders.com/index.php?title=Main_Page - click on "SLOT-2" link in body text.